%define oname   googleauth

Name:       ruby-%{oname}
Version:    1.11.0
Release:    %mkrel 1
Summary:    Google Auth Library for Ruby
License:    Apache-2.0
Group:      Development/Ruby
URL:        https://github.com/google/google-auth-library-ruby
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Allows simple authorization for accessing Google APIs.
Provide support for Application Default Credentials, as described at
https://developers.google.com/accounts/docs/application-default-credentials.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
# Release the strict version requirements
%gemspec_remove_dep -g jwt
%gemspec_add_dep -g jwt
%gemspec_remove_dep -g os
%gemspec_add_dep -g os

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}
%{gem_spec}

%files          doc
%doc %{gem_docdir}




%changelog
* Mon Apr 08 2024 pterjan <pterjan> 1.11.0-1.mga10
+ Revision: 2055591
- Update to 1.11.0

* Mon Aug 15 2022 pterjan <pterjan> 1.2.0-1.mga9
+ Revision: 1877826
- Update to 1.2.0

* Tue May 03 2022 pterjan <pterjan> 1.1.3-1.mga9
+ Revision: 1855698
- Update to 1.1.3

* Fri Mar 25 2022 umeabot <umeabot> 0.11.0-2.mga9
+ Revision: 1826767
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 0.11.0-1.mga8
+ Revision: 1561754
- Update to 0.11.0

* Fri Feb 14 2020 umeabot <umeabot> 0.8.0-2.mga8
+ Revision: 1522449
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 0.8.0-1.mga7
+ Revision: 1360763
- Update to 0.8.0

* Sun Nov 04 2018 pterjan <pterjan> 0.7.1-1.mga7
+ Revision: 1328175
- Update to 0.7.1

* Fri Sep 21 2018 umeabot <umeabot> 0.6.6-2.mga7
+ Revision: 1290964
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 pterjan <pterjan> 0.6.6-1.mga7
+ Revision: 1254178
- Update to 0.6.6

* Sun Apr 01 2018 pterjan <pterjan> 0.6.2-1.mga7
+ Revision: 1214235
- Update to 0.6.2

* Mon Sep 11 2017 pterjan <pterjan> 0.5.3-2.mga7
+ Revision: 1152605
- Release the strict version requirements

* Sun Aug 20 2017 pterjan <pterjan> 0.5.3-1.mga7
+ Revision: 1142123
- Update to 0.5.3

* Sun May 08 2016 pterjan <pterjan> 0.5.1-1.mga6
+ Revision: 1011051
- imported package ruby-googleauth

